package cn.hm1006.scheduled;

import okhttp3.*;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Component
@EnableScheduling
public class EkaScheduled {

    @SuppressWarnings("deprecation")
    @Scheduled(cron="59 59 9 * * ?")
    public void sendHeadersAndJSON() {
        //        5元话费         8598
        //        20元京东E卡     8599
        //        100元话费       8600
        //        500元京东E卡    8601
        //        1000元京东E卡   8602
        String postBody = "{\n" +
                "  \"actId\": \"589440286\",\n" +
                "  \"standardId\": 8598,\n" +
                "  \"commodityNum\": 1,\n" +
                "  \"account\": \"填写手机号\"\n" +
                "}";
        OkHttpClient client = new OkHttpClient();
        Request request = new Request.Builder()
                .url("https://hemi.lianhaikeji.com/front/api/createOrder/")
                .addHeader("Authorization", "填写授权请求头")
                .addHeader("merchantId", "366")
                .post(RequestBody.create(
                        MediaType.parse("application/json; charset=utf-8"),
                        postBody))// post json提交
                .build();
        try {
            for (int i = 0; i < 45; i++) {
                Response response = client.newCall(request).execute();
                if (response.isSuccessful()){
                    System.out.println(response.body().string());
                }
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
